# **r/ROMs Megathread**
- ### Use the menu bar at the top to navigate this megathread.
- ROMs of popular games can be found in the [Popular Games page](/megathread/popular/).
- ROMs of games for Nintendo systems can be found in the [Nintendo Games page](/megathread/nintendo/).
- ROMs of games for Sony systems can be found in the [Sony Games page](/megathread/sony/).
- ROMs of games for Microsoft systems can be found in the [Microsoft Games page](/megathread/microsoft/).
- ROMs of games for Sega systems can be found in the [Sega Games page](/megathread/sega/).
- ROMs of retro and arcade games can be found in the [Retro & Arcade Games page](/megathread/retro).
- PC games can be found in the [PC Games page](/megathread/pc/).
- BIOS files can be found in the [Miscellaneous page](/megathread/misc).

## **Donate to Myrient and/or the Internet Archive**
This megathread comprises of aggregated links hosted at [Myrient](https://myrient.erista.me) and the [Internet Archive](https://archive.org). Without the support of users like you, this megathread would have much less content available for download.

Please consider making a donation to Myrient [here](https://myrient.erista.me/donate/) and/or to the Internet Archive [here](https://archive.org/donate).

## **Additional Information**
### **"No-Intro" and "Redump"**
No-Intro and Redump are groups that catalog hashes of dumped games for many systems. If "No-Intro" or "Redump" is present in the name of a group of links, it is a collection of the currently best-available ROMs for the system.

### **Locked Internet Archive Items**
Internet Archive restricts items that contain high-risk content or generate a high amount of traffic from being able to be downloaded without an account to decrease the likelihood of takedowns and to prevent abuse. This is shown with a lock icon beside the file name in the item's file listing.

![IALOCK](img/internetarchivelock.png)

When accessing the file directly, one of the following errors is shown.

![IALOCKFILE1](img/internetarchivelockfile1.png)
![IALOCKFILE2](img/internetarchivelockfile2.png)

To download locked items or files, [register an Internet Archive account](https://archive.org/account/signup) or download it from Myrient instead.

### **Internet Archive Metadata**
Internet Archive items have metadata files that end in extensions such as `.xml` and `.sqlite`. These files are not important to download but are meant for the website to know what files to display and the reviews of the item.

![IAMETA](img/internetarchivemetadata.png)

### **Internet Archive Torrents**
Some Internet Archive items contain torrent files as another download method. However, the torrent's file listing is usually incomplete compared to what is listed on the website. For this reason, it is recommended to use direct downloads with a download manager instead of torrents.

### **Archive File Types (ZIP, 7z, RAR)**
ZIP, 7z, and RAR are archive file types which means they must be extracted. 7-Zip is recommended for extracting these files. Download and install it [here](https://www.7-zip.org/) and run it. Then, open the archive file in 7-Zip or right click on it and go to `7-Zip -> Extract Files`.

## **Blocking Ads with uBlock Origin**
uBlock Origin is recommended when accessing certain links on this megathread and the Internet in general. It blocks ads, trackers,and much more.

Below are links to download and install it for certain web browsers.

|**Store Name**|**Links**|
| ------ | ------ |
| Chrome Web Store | [Link](https://chrome.google.com/webstore/detail/ublock-origin/cjpalhdlnbpafiamejdnhcphjbkeiagm?hl=en) |
| Firefox Add-ons | [Link](https://addons.mozilla.org/en-US/android/addon/ublock-origin/) |
| Opera Add-ons | [Link](https://addons.opera.com/en/extensions/details/ublock/) |

For Android: Download Firefox from the Play Store, locate the Addons menu and select uBlock Origin. Add it to Firefox and remember to only use Firefox to download ROMs.

## **Bypassing Download Limits**
### **Google Drive**
From time to time when trying to download a file, you may see an error message saying “Download quota exceeded, so you can’t download this file at this time”. The steps to bypass the download quota limit are as follows:

1. Sign in to your Google account or create one, if you have not already.
2. Open Google Drive and go to “My Drive” in the sidebar.
3. Make a new folder. It does not matter what you name it.
4. Go to the quota'd folder, right click on the file you want to download, and click “Add Shortcut to Drive”.
5. Navigate to “My Drive” and then to the folder you made, and click “Add Shortcut”.
6. Go to “My Drive” on the sidebar. Right-click the folder you made and click “Download”.
7. A .zip file with the file(s) you selected starts downloading.

### **MEGA**
MEGA has a 5 GB download limit every 24 hours. To bypass MEGA's download limits, you will need either a VPN or a list of proxies. If you are using a VPN, simply connect to it. If you are using a list of proxies, download [MegaBasterd](https://github.com/tonikelope/megabasterd) and configure it with the list of proxies.